PHPExcel_CachedObjectStorage_ICache

category | PHPExcel
package | PHPExcel_CachedObjectStorage
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Add or Update a cell in cache identified by coordinate address

    addCacheData(string $pCoord, \PHPExcel_Cell $cell) : void

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to update

#### $cell

`\PHPExcel_Cell`

Cell to update

### Exceptions

`\PHPExcel_Exception` |

## Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build

    cacheMethodIsAvailable() : boolean

Static

### Returns

`boolean`

## Clone the cell collection

    copyCellCollection(\PHPExcel_Worksheet $parent) : void

### Parameters

#### $parent

`\PHPExcel_Worksheet`

The new worksheet

## Delete a cell in cache identified by coordinate address

    deleteCacheData(string $pCoord)

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to delete

### Exceptions

`\PHPExcel_Exception` |

## Fetch a cell from cache identified by coordinate address

    getCacheData(string $pCoord) : \PHPExcel_Cell

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to retrieve

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Cell`Cell that was found, or null if not found

## Get a list of all cell addresses currently held in cache

    getCellList() : array

### Returns

`array`of string

## Get the list of all cell addresses currently held in cache sorted by column and row

    getSortedCellList() : void

## Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?

    isDataSet(string $pCoord) : boolean

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to check

### Returns

`boolean`

## Add or Update a cell in cache

    updateCacheData(\PHPExcel_Cell $cell) : void

### Parameters

#### $cell

`\PHPExcel_Cell`

Cell to update

### Exceptions

`\PHPExcel_Exception` |